/*!
 * Do not remove or alter the notices in this preamble.
 * This software code regards ISAAC Custom Software.
 * Copyright © 2021 ISAAC and/or its affiliates.
 * www.isaac.nl All rights reserved. License grant and user rights and obligations
 * according to applicable license agreement. Please contact sales@isaac.nl for
 * questions regarding license and user rights.
*/

.body-freeze-cookie {
    overflow: hidden;
}

.body-freeze-cookie .cookie-backdrop {
    display: block;
}

.body-freeze-cookie .cookie-wrapper-container {
    width: 100%;
    height: auto;
    z-index: 9999;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
}

@media (min-width: 540px) {
    .body-freeze-cookie .cookie-wrapper-container {
        width: initial;
    }
}

.cookie-wrapper-container {
    height: 0;
}

.cookie-backdrop {
    display: none;
    background-color: rgba(0, 0, 0, .5);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 999;
}

.overlay-hidden {
    display: inline-block;
    height: 0;
    width: 0;
    overflow: hidden;
}

.cookie-wrapper:not(.overlay-hidden) {
    max-height: calc(100vh);
    padding: 40px;
    background-color: #fff;
    display: flex;
    flex-direction: column;
}

@media (min-width: 540px) {
    .cookie-wrapper:not(.overlay-hidden) {
        min-width: 400px;
        max-width: 600px;
        max-height: calc(100vh - 50px);
    }
}

.cookie-content {
    padding: 0;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.cookie-actions {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.cookie-return-button {
    cursor: pointer;
}

.cookie-text {
    margin-bottom: 1.5rem;
}

.cookie-element {
    margin-bottom: 1rem;
}

.cookie-checkbox {
    margin-right: .5rem;
}

.cookie-label {
    display: flex;
    align-items: center;
    font-weight: 600;
    margin-bottom: 0;
}

.cookie-description {
    margin-left: 22px;
}
